# Function count

- count<T>(where, queryable, options): Promise<number>

- Queries an array of Graphics or Features using an SQL 'where' clause and/or a spatial filter, and returns the number of matching items.

  #### Type Parameters

  - T extends Graphic | Feature

  #### Parameters

  - where: string

    The SQL where clause with which to query.

  - queryable: T[]

    The array of Graphics/Features to query.

  - options: QueryOptions

    Additional options to use as a part of the query.

  #### Returns Promise<number>